GNU bug report logs - #34094
27.0.50; (wrong-type-argument stringp (require . elec-pair)) with describe-function (and other commands)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tassilo Horn <tsdh@HIDDEN>; merged with #34178; dated Wed, 16 Jan 2019 07:43:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 34094 34178. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 18 Jan 2019 05:40:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 18 00:40:52 2019
Received: from localhost ([127.0.0.1]:35500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gkMtf-0004fC-Ly
	for submit <at> debbugs.gnu.org; Fri, 18 Jan 2019 00:40:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41277)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1gkMte-0004f1-Hc
 for 34094 <at> debbugs.gnu.org; Fri, 18 Jan 2019 00:40:50 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44589)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1gkMtY-0004qm-ND; Fri, 18 Jan 2019 00:40:44 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:35919)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>)
 id 1gkMtX-0002NP-Jl; Fri, 18 Jan 2019 00:40:43 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id CFE3C28D83;
 Fri, 18 Jan 2019 00:40:41 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Fri, 18 Jan 2019 00:40:41 -0500
X-ME-Sender: <xms:2WZBXEuYWes9R9aGoOIq5gVfOMjDWtvsQdiSwL7SuO-iCCJ3_FTu1Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrgeelgdekfecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhfffgjkf
 gfgggtsehttdertddtredtnecuhfhrohhmpefvrghsshhilhhoucfjohhrnhcuoehtshgu
 hhesghhnuhdrohhrgheqnecukfhppedvuddvrddukeehrddvtdefrddufeegnecurfgrrh
 grmhepmhgrihhlfhhrohhmpehthhhorhhnodhmvghsmhhtphgruhhthhhpvghrshhonhgr
 lhhithihqdekieejfeekjeekgedqieefhedvleekqdhtshguhheppehgnhhurdhorhhgse
 hfrghsthhmrghilhdrfhhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:2WZBXB6tx1bZzAJLk94OcUGAtTE8em1RgpX9WL8SZ54naJtOulSw7A>
 <xmx:2WZBXPgZGVXUkmhnibWeVIh5nXk_tf3AIsLOVzhsSESfuP7-iL9PzQ>
 <xmx:2WZBXDmuNiArL5hjiI7Sb2SGK8I_TrWqis8ZfAUs725pApNyHrtCEQ>
 <xmx:2WZBXOXL-JwewV-DysiRwJ_QxabixofO3x7aHJ8jomEwWVEVVeVs7A>
Received: from pchta-and (portal.shd.de [212.185.203.134])
 by mail.messagingengine.com (Postfix) with ESMTPA id 4AE6110085;
 Fri, 18 Jan 2019 00:40:40 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: "Daniel Colascione" <dancol@HIDDEN>
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN> <87sgxsub00.fsf@HIDDEN>
 <87d0ow30ln.fsf@HIDDEN> <83muo0csux.fsf@HIDDEN>
 <8736pr4yqj.fsf@HIDDEN> <83imyncshl.fsf@HIDDEN>
 <87bm4fdygh.fsf@HIDDEN>
 <1d3c66e91f333c63bbe07c000928d55d.squirrel@HIDDEN>
Date: Fri, 18 Jan 2019 06:40:39 +0100
In-Reply-To: <1d3c66e91f333c63bbe07c000928d55d.squirrel@HIDDEN> (Daniel
 Colascione's message of "Thu, 17 Jan 2019 11:29:37 -0800")
Message-ID: <8736pqseug.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: Eli Zaretskii <eliz@HIDDEN>, 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Daniel Colascione" <dancol@HIDDEN> writes:

>> I temporarily added
>>
>>   (advice-add 'call-process :before #'debug)
>>   (advice-add 'start-process :before #'debug)
>>
>> to my ~/.emacs and restarted, and there are several packages which
>> invoke external commands at startup, e.g., Magit trying to figure out
>> the defaults I've set in my ~/.gitconfig.  So that seems to be expected.
>
> IMHO, every time a package does this, it's a bug. Launching programs
> is way too expensive to do on every startup. Packages should be
> caching the results of system introspection somehow.

Well, it starts up in around 3 seconds and I have 60 packages installed
(including dependencies).  And of course, I start emacs just once a day.
I can easily live with that.

Anyway, that discussion doesn't really belong here. :-)

BTW, I just compared startup times with

  time emacs --eval '(kill-emacs)'

which gave 3.2 seconds when I start emacs/src/emacs which uses the
emacs.pdmp file, and it took 4.2 seconds when I start with my symlink
where the emacs.pdmp is probably not used (Loading loadup.el (source)...
dump mode: nil).

When I do the same with -Q, it's 0.2 vs. 1.2 seconds.  So it seems like
the dump helps a lot to startup a naked emacs, but as soon as you have
your own "parallel operating system" in your ~/.emacs (and who
doesn't?), that doesn't really matter anymore.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 17 Jan 2019 19:29:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 14:29:40 2019
Received: from localhost ([127.0.0.1]:35338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gkDMC-0005Gc-Dr
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2019 14:29:40 -0500
Received: from dancol.org ([96.126.100.184]:38228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1gkDMA-0005GU-WD
 for 34094 <at> debbugs.gnu.org; Thu, 17 Jan 2019 14:29:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Cc:To:From:Subject:Date:References:In-Reply-To:Message-ID;
 bh=6mAGOvkU830yyXJOYyWr0pSOWMxrRh5rTcypxAHkrA4=; 
 b=MJX3tSihR36oGxZRul3hBl0+hzZhKq7oygw6dZAXbbGYh0vRafDQv5DtCeBeDTaOzQ378/kD8kXGhr+f4R3V3mIHsau+E5fbg4HXTjqzIyJg3Bw/BmqcacG1P7ZUIJziz0fnSiGPJ3vsSyvrwIOpJQH/96ive0OvaO20yIhys0nxqlCgF8TnMS5hrfmaDZzQVrZJLssWt6Zs8Yjor/+53/aXULOjG8QSt8frGruxB+8ZYVLAB1tCNTTC65tSXw7z7xP/h/RQWrieK7UYV52+NZja7DbLSaXslPDCobpQka9ma721oPbyRP8qzgO41OgAE8xGD4Fx8kecHaCkFe+kUw==;
Received: from localhost ([127.0.0.1] helo=dancol.org)
 by dancol.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>)
 id 1gkDM9-0001ly-Oj; Thu, 17 Jan 2019 11:29:37 -0800
Received: from 104.132.34.69 (SquirrelMail authenticated user dancol)
 by dancol.org with HTTP; Thu, 17 Jan 2019 11:29:37 -0800
Message-ID: <1d3c66e91f333c63bbe07c000928d55d.squirrel@HIDDEN>
In-Reply-To: <87bm4fdygh.fsf@HIDDEN>
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN> <87sgxsub00.fsf@HIDDEN>
 <87d0ow30ln.fsf@HIDDEN> <83muo0csux.fsf@HIDDEN>
 <8736pr4yqj.fsf@HIDDEN> <83imyncshl.fsf@HIDDEN>
 <87bm4fdygh.fsf@HIDDEN>
Date: Thu, 17 Jan 2019 11:29:37 -0800
Subject: Re: bug#34094: 27.0.50; (wrong-type-argument stringp (require .
 elec-pair)) with describe-function (and other commands)
From: "Daniel Colascione" <dancol@HIDDEN>
To: "Tassilo Horn" <tsdh@HIDDEN>
User-Agent: SquirrelMail/1.4.23 [SVN]
MIME-Version: 1.0
Content-Type: text/plain;charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Priority: 3 (Normal)
Importance: Normal
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: Eli Zaretskii <eliz@HIDDEN>, 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> >> Starting program: /home/horn/Repos/el/emacs/src/emacs
>>> >> [Thread debugging using libthread_db enabled]
>>> >> Using host libthread_db library "/usr/lib/libthread_db.so.1".
>>> >> [New Thread 0x7fffeea70700 (LWP 25211)]
>>> >> [Detaching after vfork from child process 25212]
>>> >> [New Thread 0x7fffee22d700 (LWP 25213)]
>>> >> [New Thread 0x7fffed2b2700 (LWP 25214)]
>>> >> [Detaching after vfork from child process 25215]
>>> >> [Detaching after vfork from child process 25216]
>>> >> [Detaching after vfork from child process 25217]
>>> >> [Detaching after vfork from child process 25218]
>>> >> [Detaching after vfork from child process 25219]
>>> >
>>> > Any idea what are all those vforks about?  Is this something caused
>>> > by your init files?
>>>
>>> I don't get them with run -Q, so I guess it's something in my init
>>> file.  When I try again, now I only get 21 vforks instead of the 132
>>> I've had before.
>>>
>>> If I were keen to know what's the cause, how would I find out?
>>
>> If your customizations cause a lot of processes to be launched at
>> startup, then the above is expected.  Otherwise, I'd suggest to look
>> for some code which might launch such processes which you didn't
>> intend.
>
> I temporarily added
>
>   (advice-add 'call-process :before #'debug)
>   (advice-add 'start-process :before #'debug)
>
> to my ~/.emacs and restarted, and there are several packages which
> invoke external commands at startup, e.g., Magit trying to figure out
> the defaults I've set in my ~/.gitconfig.  So that seems to be expected.

IMHO, every time a package does this, it's a bug. Launching programs is
way too expensive to do on every startup. Packages should be caching the
results of system introspection somehow.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 17 Jan 2019 16:46:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 11:46:24 2019
Received: from localhost ([127.0.0.1]:35242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gkAo8-0007iQ-JO
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2019 11:46:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1gkAo4-0007i4-RM
 for 34094 <at> debbugs.gnu.org; Thu, 17 Jan 2019 11:46:17 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33437)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1gkAny-00006a-N3
 for 34094 <at> debbugs.gnu.org; Thu, 17 Jan 2019 11:46:10 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:54111)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>)
 id 1gkAnx-0005UN-UT; Thu, 17 Jan 2019 11:46:10 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id 4AC7227CFD;
 Thu, 17 Jan 2019 11:46:09 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Thu, 17 Jan 2019 11:46:09 -0500
X-ME-Sender: <xms:ULFAXDKKNFfs6veQa_wvqcaR5I8XhYqJi6HIxXD57qJKd5MA6uWK_Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrgeekgdekkecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhfffgjkf
 gfgggtsehttdertddtredtnecuhfhrohhmpefvrghsshhilhhoucfjohhrnhcuoehtshgu
 hhesghhnuhdrohhrgheqnecukfhppeelfedrvdefiedruddvledrhedvnecurfgrrhgrmh
 epmhgrihhlfhhrohhmpehthhhorhhnodhmvghsmhhtphgruhhthhhpvghrshhonhgrlhhi
 thihqdekieejfeekjeekgedqieefhedvleekqdhtshguhheppehgnhhurdhorhhgsehfrg
 hsthhmrghilhdrfhhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:ULFAXBLhiIyv4Qb907yyrm_5mSWJbRa5Bii2nbVyB34-h5oJHNkhnA>
 <xmx:ULFAXCWPVBFEeHznm81aomzy_rcnyEWxpJsPlarEGnIQVcRrltPw2Q>
 <xmx:ULFAXKkucEbPR94jqejDxWmOBNgNdi8EvdaEQzdEos8BKNBFWxo-7Q>
 <xmx:UbFAXMETdDGw51aRTZy2ZlN2Pyu0QfZ2omhyyfG0rB9-8lckjK8X6w>
Received: from thinkpad-t440p (p5dec8134.dip0.t-ipconnect.de [93.236.129.52])
 by mail.messagingengine.com (Postfix) with ESMTPA id A577DE4016;
 Thu, 17 Jan 2019 11:46:07 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN> <87sgxsub00.fsf@HIDDEN>
 <87d0ow30ln.fsf@HIDDEN> <83muo0csux.fsf@HIDDEN>
 <8736pr4yqj.fsf@HIDDEN> <83imyncshl.fsf@HIDDEN>
Date: Thu, 17 Jan 2019 17:46:06 +0100
In-Reply-To: <83imyncshl.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 17 Jan
 2019 15:40:22 +0200")
Message-ID: <87bm4fdygh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> >> Starting program: /home/horn/Repos/el/emacs/src/emacs 
>> >> [Thread debugging using libthread_db enabled]
>> >> Using host libthread_db library "/usr/lib/libthread_db.so.1".
>> >> [New Thread 0x7fffeea70700 (LWP 25211)]
>> >> [Detaching after vfork from child process 25212]
>> >> [New Thread 0x7fffee22d700 (LWP 25213)]
>> >> [New Thread 0x7fffed2b2700 (LWP 25214)]
>> >> [Detaching after vfork from child process 25215]
>> >> [Detaching after vfork from child process 25216]
>> >> [Detaching after vfork from child process 25217]
>> >> [Detaching after vfork from child process 25218]
>> >> [Detaching after vfork from child process 25219]
>> >
>> > Any idea what are all those vforks about?  Is this something caused
>> > by your init files?
>> 
>> I don't get them with run -Q, so I guess it's something in my init
>> file.  When I try again, now I only get 21 vforks instead of the 132
>> I've had before.
>> 
>> If I were keen to know what's the cause, how would I find out?
>
> If your customizations cause a lot of processes to be launched at
> startup, then the above is expected.  Otherwise, I'd suggest to look
> for some code which might launch such processes which you didn't
> intend.

I temporarily added

  (advice-add 'call-process :before #'debug)
  (advice-add 'start-process :before #'debug)

to my ~/.emacs and restarted, and there are several packages which
invoke external commands at startup, e.g., Magit trying to figure out
the defaults I've set in my ~/.gitconfig.  So that seems to be expected.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 17 Jan 2019 13:40:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 08:40:48 2019
Received: from localhost ([127.0.0.1]:34266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gk7uZ-0000Dd-T2
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2019 08:40:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gk7uX-0000DP-GE
 for 34094 <at> debbugs.gnu.org; Thu, 17 Jan 2019 08:40:46 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58678)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gk7uJ-00089e-9l
 for 34094 <at> debbugs.gnu.org; Thu, 17 Jan 2019 08:40:34 -0500
Received: from [176.228.60.248] (port=1348 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gk7uF-0005sE-Vg; Thu, 17 Jan 2019 08:40:29 -0500
Date: Thu, 17 Jan 2019 15:40:22 +0200
Message-Id: <83imyncshl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>
In-reply-to: <8736pr4yqj.fsf@HIDDEN> (message from Tassilo Horn on Thu, 17
 Jan 2019 06:52:36 +0100)
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN> <87sgxsub00.fsf@HIDDEN>
 <87d0ow30ln.fsf@HIDDEN> <83muo0csux.fsf@HIDDEN> <8736pr4yqj.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Tassilo Horn <tsdh@HIDDEN>
> Cc: 34094 <at> debbugs.gnu.org
> Date: Thu, 17 Jan 2019 06:52:36 +0100
> 
> >> Using load-path (/usr/local/share/emacs/27.0.50/site-lisp
> >> /usr/local/share/emacs/site-lisp /home/horn/Repos/el/emacs/lisp
> >> /home/horn/Repos/el/emacs/lisp/emacs-lisp
> >> /home/horn/Repos/el/emacs/lisp/progmodes
> >> /home/horn/Repos/el/emacs/lisp/language
> >> /home/horn/Repos/el/emacs/lisp/international
> >> /home/horn/Repos/el/emacs/lisp/textmodes /home/horn/Repos/el/emacs/lisp/vc)
> >> Loading emacs-lisp/byte-run...
> >> Loading emacs-lisp/byte-run...done
> >> Loading emacs-lisp/backquote...
> >> Loading emacs-lisp/backquote...done
> >> ...
> >
> > This part is expected, and is not a bug.
> 
> So with pdumper, I should always invoke ~/Repos/el/emacs/src/emacs
> instead of the symlink in my PATH pointing to it?

Currently, yes.  This is how the code was written.  Whether we want to
support the symlink case is an open question, worth discussing.

> When I start emacs using my symlink pointing to
> ~/Repos/el/emacs/src/emacs, I get the above output and the original
> wrong-type-argument error according to my recipe.

To be absolutely clear: the wrong-type-argument error is also a bug,
and should be investigated.  I hope Daniel will be able to look into
that.

> >> (gdb) run
> >> Starting program: /home/horn/Repos/el/emacs/src/emacs 
> >> [Thread debugging using libthread_db enabled]
> >> Using host libthread_db library "/usr/lib/libthread_db.so.1".
> >> [New Thread 0x7fffeea70700 (LWP 25211)]
> >> [Detaching after vfork from child process 25212]
> >> [New Thread 0x7fffee22d700 (LWP 25213)]
> >> [New Thread 0x7fffed2b2700 (LWP 25214)]
> >> [Detaching after vfork from child process 25215]
> >> [Detaching after vfork from child process 25216]
> >> [Detaching after vfork from child process 25217]
> >> [Detaching after vfork from child process 25218]
> >> [Detaching after vfork from child process 25219]
> >
> > Any idea what are all those vforks about?  Is this something caused by
> > your init files?
> 
> I don't get them with run -Q, so I guess it's something in my init file.
> When I try again, now I only get 21 vforks instead of the 132 I've had
> before.
> 
> If I were keen to know what's the cause, how would I find out?

If your customizations cause a lot of processes to be launched at
startup, then the above is expected.  Otherwise, I'd suggest to look
for some code which might launch such processes which you didn't
intend.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 17 Jan 2019 05:52:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 00:52:46 2019
Received: from localhost ([127.0.0.1]:34073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gk0be-0001Z0-8K
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2019 00:52:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60761)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1gk0bc-0001Yo-H2
 for 34094 <at> debbugs.gnu.org; Thu, 17 Jan 2019 00:52:44 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53535)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1gk0bX-0006tU-5y
 for 34094 <at> debbugs.gnu.org; Thu, 17 Jan 2019 00:52:39 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:39259)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>)
 id 1gk0bX-0002ax-2F; Thu, 17 Jan 2019 00:52:39 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id 599A727D11;
 Thu, 17 Jan 2019 00:52:38 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Thu, 17 Jan 2019 00:52:38 -0500
X-ME-Sender: <xms:JRhAXFeeXhhzGQCr_0XydBIbnuiQyO5tVIzyr-xY810Cfwn952DKVA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrgeeigdekiecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhfffgjkf
 gfgggtsehttdertddtredtnecuhfhrohhmpefvrghsshhilhhoucfjohhrnhcuoehtshgu
 hhesghhnuhdrohhrgheqnecukfhppedvuddvrddukeehrddvtdefrddufeegnecurfgrrh
 grmhepmhgrihhlfhhrohhmpehthhhorhhnodhmvghsmhhtphgruhhthhhpvghrshhonhgr
 lhhithihqdekieejfeekjeekgedqieefhedvleekqdhtshguhheppehgnhhurdhorhhgse
 hfrghsthhmrghilhdrfhhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:JRhAXO7NZUAFneQYr363vvuMtm_xSi1QaRFfEDU85DCvf5aedyfL2g>
 <xmx:JRhAXK-DOU6GOxQA3QboPCdiTPfz7gro3pk0TIemk3Z1wRkyd59Jzw>
 <xmx:JRhAXIEjPn5kdj-ZhmIhrZB3CFJdGpPBo1s1r-gmNOqLHZcTvHGNRg>
 <xmx:JhhAXHF2IuyHA3uNwDd40P4vnaZLfh1h9lJ9tO6kUzG1RZCoG28QJA>
Received: from pchta-and (portal.shd.de [212.185.203.134])
 by mail.messagingengine.com (Postfix) with ESMTPA id 55432E4598;
 Thu, 17 Jan 2019 00:52:37 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN> <87sgxsub00.fsf@HIDDEN>
 <87d0ow30ln.fsf@HIDDEN> <83muo0csux.fsf@HIDDEN>
Date: Thu, 17 Jan 2019 06:52:36 +0100
In-Reply-To: <83muo0csux.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 16 Jan
 2019 21:20:06 +0200")
Message-ID: <8736pr4yqj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> So when I start emacs from anywhere but /home/horn/Repos/el/emacs/src/,
>> it'll print a lot of messages like:
>> 
>> Loading loadup.el (source)...
>> dump mode: nil
>> Using load-path (/usr/local/share/emacs/27.0.50/site-lisp
>> /usr/local/share/emacs/site-lisp /home/horn/Repos/el/emacs/lisp
>> /home/horn/Repos/el/emacs/lisp/emacs-lisp
>> /home/horn/Repos/el/emacs/lisp/progmodes
>> /home/horn/Repos/el/emacs/lisp/language
>> /home/horn/Repos/el/emacs/lisp/international
>> /home/horn/Repos/el/emacs/lisp/textmodes /home/horn/Repos/el/emacs/lisp/vc)
>> Loading emacs-lisp/byte-run...
>> Loading emacs-lisp/byte-run...done
>> Loading emacs-lisp/backquote...
>> Loading emacs-lisp/backquote...done
>> ...
>
> This part is expected, and is not a bug.

So with pdumper, I should always invoke ~/Repos/el/emacs/src/emacs
instead of the symlink in my PATH pointing to it?

When I start emacs using my symlink pointing to
~/Repos/el/emacs/src/emacs, I get the above output and the original
wrong-type-argument error according to my recipe.

>> When I start it from within /home/horn/Repos/el/emacs/src/ where the
>> emacs executable and emacs.pdmp exists, I get no such messages.
>> Then, however, I get a segfault for example when I start gnus.
>> Here's the xbacktrace from gdb:
>
> This is bug, of course.

Already fixed by Daniel.

>> (gdb) run
>> Starting program: /home/horn/Repos/el/emacs/src/emacs 
>> [Thread debugging using libthread_db enabled]
>> Using host libthread_db library "/usr/lib/libthread_db.so.1".
>> [New Thread 0x7fffeea70700 (LWP 25211)]
>> [Detaching after vfork from child process 25212]
>> [New Thread 0x7fffee22d700 (LWP 25213)]
>> [New Thread 0x7fffed2b2700 (LWP 25214)]
>> [Detaching after vfork from child process 25215]
>> [Detaching after vfork from child process 25216]
>> [Detaching after vfork from child process 25217]
>> [Detaching after vfork from child process 25218]
>> [Detaching after vfork from child process 25219]
>
> Any idea what are all those vforks about?  Is this something caused by
> your init files?

I don't get them with run -Q, so I guess it's something in my init file.
When I try again, now I only get 21 vforks instead of the 132 I've had
before.

If I were keen to know what's the cause, how would I find out?

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 17 Jan 2019 05:27:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 00:27:49 2019
Received: from localhost ([127.0.0.1]:34068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gk0DT-0000zk-OP
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2019 00:27:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1gk0DQ-0000zV-14
 for 34094 <at> debbugs.gnu.org; Thu, 17 Jan 2019 00:27:46 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53358)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1gk0DK-0004ye-1F; Thu, 17 Jan 2019 00:27:38 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:57009)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>)
 id 1gk0DJ-0000NJ-Kh; Thu, 17 Jan 2019 00:27:37 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id C9388280E5;
 Thu, 17 Jan 2019 00:27:34 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Thu, 17 Jan 2019 00:27:34 -0500
X-ME-Sender: <xms:RhJAXJBi2JCAkAvtq_dFFE6NAB4l81mqWFZIgf14QjFlyu_KkBYBPw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrgeeigdekudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhfffgjkf
 gfgggtsehttdertddtredtnecuhfhrohhmpefvrghsshhilhhoucfjohhrnhcuoehtshgu
 hhesghhnuhdrohhrgheqnecukfhppedvuddvrddukeehrddvtdefrddufeegnecurfgrrh
 grmhepmhgrihhlfhhrohhmpehthhhorhhnodhmvghsmhhtphgruhhthhhpvghrshhonhgr
 lhhithihqdekieejfeekjeekgedqieefhedvleekqdhtshguhheppehgnhhurdhorhhgse
 hfrghsthhmrghilhdrfhhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:RhJAXC9puNCeqar6H4UjPyfuxIDk0BlK_dakoIBiEF3VUhFdaKk2Lw>
 <xmx:RhJAXDQpSpYhORDl70JkWZWT-R9lFWosbAgpT1fcu97482EDVsp7pw>
 <xmx:RhJAXA5yKgtCN6vTMtai_FSm4Jx4ukP3sykI53O5wD2UquI8Rbva8A>
 <xmx:RhJAXKTZqd-dYgsB7f-tXaCEBx5YP-Ltsp08rIZyXKF9_ds0nUETpg>
Received: from pchta-and (portal.shd.de [212.185.203.134])
 by mail.messagingengine.com (Postfix) with ESMTPA id E79FCE41AC;
 Thu, 17 Jan 2019 00:27:33 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: "Daniel Colascione" <dancol@HIDDEN>
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN> <87sgxsub00.fsf@HIDDEN>
 <87d0ow30ln.fsf@HIDDEN>
 <714a69ab986645af2a801c288d2de542.squirrel@HIDDEN>
Date: Thu, 17 Jan 2019 06:27:33 +0100
In-Reply-To: <714a69ab986645af2a801c288d2de542.squirrel@HIDDEN> (Daniel
 Colascione's message of "Wed, 16 Jan 2019 11:40:00 -0800")
Message-ID: <87a7jz4zwa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Daniel Colascione" <dancol@HIDDEN> writes:

>> Tassilo Horn <tsdh@HIDDEN> writes:
>>
>> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
>
> Try it now.

I'm now on 978cf88bda9c9b41f1cc20cf8e53a9e6caeb91be, and the crash is
gone.  Thanks a lot!

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 16 Jan 2019 19:40:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 14:40:04 2019
Received: from localhost ([127.0.0.1]:33900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjr2h-0003rB-Sc
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 14:40:04 -0500
Received: from dancol.org ([96.126.100.184]:45136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1gjr2f-0003qh-8y
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 14:40:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Cc:To:From:Subject:Date:References:In-Reply-To:Message-ID;
 bh=EV9iXvYbmetXei9mKwRY6TEkcUrMnkvby1xx1rjxFy4=; 
 b=Dad/X/UCgpsktWfLxCkBfRmUMNOBG1CI5TCszVvYBWLsQbc+QXiLFhTGrOPApGucwDb0g6SUh5UbowTCCpI6VUuvFZstLhz5Y2DSQ40rI/PQvQRrvl/2UlQtmonJsT3pwj6b6PRqx/5TR+Wzuf4bCbku/B7YszRGvmco8yzDPJ6r5u1wzTPM+4Id/KJItW8yR+YzQliIdgN4r93qE4wa7GcLVe2Z0KBzwOL2ZUNsn65VvVnbsvCuOmQMmRx9llrrI9MZ54p2kL6l8e/YiK302zrfBQUlfojsRvDprG1TVgHOYn2nGe/Ocj9cPLrTzp+bUVeDs0ROlWCBNJm64KcvAg==;
Received: from localhost ([127.0.0.1] helo=dancol.org)
 by dancol.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>)
 id 1gjr2e-0003Va-6f; Wed, 16 Jan 2019 11:40:00 -0800
Received: from 127.0.0.1 (SquirrelMail authenticated user dancol)
 by dancol.org with HTTP; Wed, 16 Jan 2019 11:40:00 -0800
Message-ID: <714a69ab986645af2a801c288d2de542.squirrel@HIDDEN>
In-Reply-To: <87d0ow30ln.fsf@HIDDEN>
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN> <87sgxsub00.fsf@HIDDEN>
 <87d0ow30ln.fsf@HIDDEN>
Date: Wed, 16 Jan 2019 11:40:00 -0800
Subject: Re: bug#34094: 27.0.50; (wrong-type-argument stringp (require .
 elec-pair)) with describe-function (and other commands)
From: "Daniel Colascione" <dancol@HIDDEN>
To: "Tassilo Horn" <tsdh@HIDDEN>
User-Agent: SquirrelMail/1.4.23 [SVN]
MIME-Version: 1.0
Content-Type: text/plain;charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Priority: 3 (Normal)
Importance: Normal
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Tassilo Horn <tsdh@HIDDEN> writes:
>
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.

Try it now.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 16 Jan 2019 19:20:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 14:20:39 2019
Received: from localhost ([127.0.0.1]:33891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjqju-0003OK-NA
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 14:20:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gjqjr-0003O7-M8
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 14:20:35 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42018)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gjqjY-0002x3-19
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 14:20:18 -0500
Received: from [176.228.60.248] (port=1025 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gjqjX-0004ml-GP; Wed, 16 Jan 2019 14:20:15 -0500
Date: Wed, 16 Jan 2019 21:20:06 +0200
Message-Id: <83muo0csux.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>
In-reply-to: <87d0ow30ln.fsf@HIDDEN> (message from Tassilo Horn on Wed, 16
 Jan 2019 19:43:00 +0100)
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN> <87sgxsub00.fsf@HIDDEN> <87d0ow30ln.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Tassilo Horn <tsdh@HIDDEN>
> Date: Wed, 16 Jan 2019 19:43:00 +0100
> 
> So when I start emacs from anywhere but /home/horn/Repos/el/emacs/src/,
> it'll print a lot of messages like:
> 
> Loading loadup.el (source)...
> dump mode: nil
> Using load-path (/usr/local/share/emacs/27.0.50/site-lisp /usr/local/share/emacs/site-lisp /home/horn/Repos/el/emacs/lisp /home/horn/Repos/el/emacs/lisp/emacs-lisp /home/horn/Repos/el/emacs/lisp/progmodes /home/horn/Repos/el/emacs/lisp/language /home/horn/Repos/el/emacs/lisp/international /home/horn/Repos/el/emacs/lisp/textmodes /home/horn/Repos/el/emacs/lisp/vc)
> Loading emacs-lisp/byte-run...
> Loading emacs-lisp/byte-run...done
> Loading emacs-lisp/backquote...
> Loading emacs-lisp/backquote...done
> ...

This part is expected, and is not a bug.

> When I start it from within /home/horn/Repos/el/emacs/src/ where the
> emacs executable and emacs.pdmp exists, I get no such messages.  Then,
> however, I get a segfault for example when I start gnus.  Here's the
> xbacktrace from gdb:

This is bug, of course.

> (gdb) run
> Starting program: /home/horn/Repos/el/emacs/src/emacs 
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/usr/lib/libthread_db.so.1".
> [New Thread 0x7fffeea70700 (LWP 25211)]
> [Detaching after vfork from child process 25212]
> [New Thread 0x7fffee22d700 (LWP 25213)]
> [New Thread 0x7fffed2b2700 (LWP 25214)]
> [Detaching after vfork from child process 25215]
> [Detaching after vfork from child process 25216]
> [Detaching after vfork from child process 25217]
> [Detaching after vfork from child process 25218]
> [Detaching after vfork from child process 25219]

Any idea what are all those vforks about?  Is this something caused by
your init files?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 16 Jan 2019 18:43:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 13:43:13 2019
Received: from localhost ([127.0.0.1]:33872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjq9g-0002So-JH
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 13:43:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1gjq9e-0002SV-7I
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 13:43:11 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41380)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1gjq9Z-00087G-1K
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 13:43:05 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:37713)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>) id 1gjq9Y-0002Kj-S3
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 13:43:04 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id 4746728B6B
 for <34094 <at> debbugs.gnu.org>; Wed, 16 Jan 2019 13:43:04 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Wed, 16 Jan 2019 13:43:04 -0500
X-ME-Sender: <xms:N3s_XG_Q7sneePcaM5TvbJqtWU1OCAvw-9n7NX0htPK9lDJ79BMP7A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrgeehgdduudejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecunecujfgurhephffvufhfffgjkfgfgggtgfesthhqredttderjeenucfhrhhomh
 epvfgrshhsihhlohcujfhorhhnuceothhsughhsehgnhhurdhorhhgqeenucffohhmrghi
 nhepghhnuhdrohhrghenucfkphepleefrddvfeeirdduvdelrdehvdenucfrrghrrghmpe
 hmrghilhhfrhhomhepthhhohhrnhdomhgvshhmthhprghuthhhphgvrhhsohhnrghlihht
 hidqkeeijeefkeejkeegqdeifeehvdelkedqthhsughhpeepghhnuhdrohhrghesfhgrsh
 htmhgrihhlrdhfmhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:N3s_XLGyl7rVTxMXAovhVmAHOk8qogKhGeqzAKBdqVWAly-ipjR0hA>
 <xmx:N3s_XJ5Y_ChgO8NCTYn23VehG_ByAJ9gbv2vEpf4_3zLoc_dGcUgiQ>
 <xmx:N3s_XMZFQierM3zb3S-boGsR_zMn7J1wm1BB6kYRwfgA33enLI43SQ>
 <xmx:OHs_XDzZe-FxGhi90d7E7-znWtQqwYKQt0hBQUcTIv5uQYZwhra_sA>
Received: from thinkpad-t440p (p5dec8134.dip0.t-ipconnect.de [93.236.129.52])
 by mail.messagingengine.com (Postfix) with ESMTPA id E28B2E4744
 for <34094 <at> debbugs.gnu.org>; Wed, 16 Jan 2019 13:43:02 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: 34094 <at> debbugs.gnu.org
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN> <87sgxsub00.fsf@HIDDEN>
Date: Wed, 16 Jan 2019 19:43:00 +0100
In-Reply-To: <87sgxsub00.fsf@HIDDEN> (Tassilo Horn's message of "Wed, 16 Jan
 2019 11:56:15 +0100")
Message-ID: <87d0ow30ln.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tassilo Horn <tsdh@HIDDEN> writes:

> It seems I have to start emacs from within the directory where the
> emacs.pdmp file resides.
>
> And then I'll get an
>
>   Fatal error 11: Segmentation faultfish: =E2=80=9Cemacs=E2=80=9D termina=
ted by signal SIGSEGV
> (Address boundary error)
>
> but that's another story.

Ok, I can reproduce the issue also at home with the current master
(8bf51c380acc04f25fba8f8aa3d1cc08b45f3e69).  When I start emacs not from
within emacs/src/, I get the original wrong-type-argument error as
described with my recipe.

One detail which might be important: I have symlinks to the emacs
executables in ~/bin/ which is on my PATH.

lrwxrwxrwx 1 horn horn   41 13. Nov 2014  ebrowse -> /home/horn/Repos/el/em=
acs/lib-src/ebrowse
lrwxrwxrwx 1 horn horn   35  1. Jan 2017  emacs -> /home/horn/Repos/el/emac=
s/src/emacs
lrwxrwxrwx 1 horn horn   45 13. Nov 2014  emacsclient -> /home/horn/Repos/e=
l/emacs/lib-src/emacsclient
lrwxrwxrwx 1 horn horn   39 13. Nov 2014  etags -> /home/horn/Repos/el/emac=
s/lib-src/etags

So when I start emacs from anywhere but /home/horn/Repos/el/emacs/src/,
it'll print a lot of messages like:

Loading loadup.el (source)...
dump mode: nil
Using load-path (/usr/local/share/emacs/27.0.50/site-lisp /usr/local/share/=
emacs/site-lisp /home/horn/Repos/el/emacs/lisp /home/horn/Repos/el/emacs/li=
sp/emacs-lisp /home/horn/Repos/el/emacs/lisp/progmodes /home/horn/Repos/el/=
emacs/lisp/language /home/horn/Repos/el/emacs/lisp/international /home/horn=
/Repos/el/emacs/lisp/textmodes /home/horn/Repos/el/emacs/lisp/vc)
Loading emacs-lisp/byte-run...
Loading emacs-lisp/byte-run...done
Loading emacs-lisp/backquote...
Loading emacs-lisp/backquote...done
...

When I start it from within /home/horn/Repos/el/emacs/src/ where the
emacs executable and emacs.pdmp exists, I get no such messages.  Then,
however, I get a segfault for example when I start gnus.  Here's the
xbacktrace from gdb:

>>=3D gdb emacs
GNU gdb (GDB) 8.2.1
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from emacs...done.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from te=
rminal]
DISPLAY =3D :0
TERM =3D xterm-256color
Breakpoint 1 at 0x111cef: file emacs.c, line 370.
Temporary breakpoint 2 at 0x12a7f1: file sysdep.c, line 1095.
(gdb) run
Starting program: /home/horn/Repos/el/emacs/src/emacs=20
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffeea70700 (LWP 25211)]
[Detaching after vfork from child process 25212]
[New Thread 0x7fffee22d700 (LWP 25213)]
[New Thread 0x7fffed2b2700 (LWP 25214)]
[Detaching after vfork from child process 25215]
[Detaching after vfork from child process 25216]
[Detaching after vfork from child process 25217]
[Detaching after vfork from child process 25218]
[Detaching after vfork from child process 25219]
[Detaching after vfork from child process 25220]
[Detaching after vfork from child process 25221]
[Detaching after vfork from child process 25222]
[Detaching after vfork from child process 25223]
[Detaching after vfork from child process 25224]
[Detaching after vfork from child process 25225]
[Detaching after vfork from child process 25226]
[Detaching after vfork from child process 25227]
[Detaching after vfork from child process 25228]
[Detaching after vfork from child process 25229]
[Detaching after vfork from child process 25230]
[Detaching after vfork from child process 25231]
[Detaching after vfork from child process 25232]
[Detaching after vfork from child process 25233]
[Detaching after vfork from child process 25234]
[Detaching after vfork from child process 25235]
[Detaching after vfork from child process 25236]
[Detaching after vfork from child process 25237]
[Detaching after vfork from child process 25238]
[Detaching after vfork from child process 25246]
[Detaching after vfork from child process 25247]
[Detaching after vfork from child process 25248]
[Detaching after vfork from child process 25249]
[Detaching after vfork from child process 25250]
[Detaching after vfork from child process 25251]
[Detaching after vfork from child process 25252]
[Detaching after vfork from child process 25253]
[Detaching after vfork from child process 25254]
[Detaching after vfork from child process 25262]
[Detaching after vfork from child process 25270]
[Detaching after vfork from child process 25271]
[Detaching after vfork from child process 25272]
[Detaching after vfork from child process 25273]
[Detaching after vfork from child process 25274]
[Detaching after vfork from child process 25275]
[Detaching after vfork from child process 25276]
[Detaching after vfork from child process 25277]
[Detaching after vfork from child process 25278]
[Detaching after vfork from child process 25279]
[Detaching after vfork from child process 25280]
[Detaching after vfork from child process 25281]
[Detaching after vfork from child process 25282]
[Detaching after vfork from child process 25283]
[Detaching after vfork from child process 25284]
[Detaching after vfork from child process 25285]
[Detaching after vfork from child process 25286]
[Detaching after vfork from child process 25287]
[Detaching after vfork from child process 25288]
[Detaching after vfork from child process 25289]
[Detaching after vfork from child process 25290]
[Detaching after vfork from child process 25291]
[Detaching after vfork from child process 25292]
[Detaching after vfork from child process 25293]
[Detaching after vfork from child process 25294]
[Detaching after vfork from child process 25295]
[Detaching after vfork from child process 25296]
[Detaching after vfork from child process 25297]
[Detaching after vfork from child process 25298]
[Detaching after vfork from child process 25299]
[Detaching after vfork from child process 25300]
[Detaching after vfork from child process 25301]
[Detaching after vfork from child process 25302]
[Detaching after vfork from child process 25303]
[Detaching after vfork from child process 25304]
[Detaching after vfork from child process 25305]
[Detaching after vfork from child process 25306]
[Detaching after vfork from child process 25307]
[Detaching after vfork from child process 25308]
[Detaching after vfork from child process 25309]
[Detaching after vfork from child process 25310]
[Detaching after vfork from child process 25311]
[Detaching after vfork from child process 25312]
[Detaching after vfork from child process 25313]
[Detaching after vfork from child process 25315]
[Detaching after vfork from child process 25316]
[Detaching after vfork from child process 25317]
[Detaching after vfork from child process 25318]
[Detaching after vfork from child process 25319]
[Detaching after vfork from child process 25320]
[Detaching after vfork from child process 25321]
[Detaching after vfork from child process 25322]
[Detaching after vfork from child process 25323]
[Detaching after vfork from child process 25324]
[Detaching after vfork from child process 25325]
[Detaching after vfork from child process 25326]
[Detaching after vfork from child process 25327]
[Detaching after vfork from child process 25328]
[Detaching after vfork from child process 25329]
[Detaching after vfork from child process 25330]
[Detaching after vfork from child process 25331]
[Detaching after vfork from child process 25385]
[Detaching after vfork from child process 25386]
[Detaching after vfork from child process 25387]
[Detaching after vfork from child process 25388]
[Detaching after vfork from child process 25389]
[Detaching after vfork from child process 25390]
[Detaching after vfork from child process 25391]
[Detaching after vfork from child process 25392]
[Detaching after vfork from child process 25393]
[Detaching after vfork from child process 25401]
[Detaching after vfork from child process 25402]
[Detaching after vfork from child process 25403]
[Detaching after vfork from child process 25404]
[Detaching after vfork from child process 25405]
[Detaching after vfork from child process 25406]
[Detaching after vfork from child process 25407]
[Detaching after vfork from child process 25408]
[Detaching after vfork from child process 25409]
[Detaching after vfork from child process 25410]
[Detaching after vfork from child process 25411]
[Detaching after vfork from child process 25412]
[Detaching after vfork from child process 25420]
[Detaching after vfork from child process 25428]
[Detaching after vfork from child process 25429]
[Detaching after vfork from child process 25430]
[Detaching after vfork from child process 25431]
[Detaching after vfork from child process 25432]
[Detaching after vfork from child process 25433]
[Detaching after vfork from child process 25434]
[Detaching after vfork from child process 25435]
[Detaching after vfork from child process 25436]
[Detaching after vfork from child process 25437]
[Detaching after vfork from child process 25438]
[Detaching after vfork from child process 25439]
[Detaching after vfork from child process 25440]
[Detaching after vfork from child process 25441]
[Detaching after vfork from child process 25442]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x000055bc33060af0 in ?? ()
(gdb) xbacktrace
"insert-file-contents" (0xffffaee8)
"eieio-persistent-read" (0xffffb178)
"gnus-registry-read" (0xffffb390)
"gnus-registry-load" (0xffffb5f0)
"gnus-registry-initialize" (0xffffb7c0)
"eval-buffer" (0xffffbab0)
"load-with-code-conversion" (0xffffbd78)
"load" (0xffffc020)
"gnus-read-init-file" (0xffffc290)
"gnus-1" (0xffffc518)
"gnus" (0xffffc820)
"funcall-interactively" (0xffffc818)
"call-interactively" (0xffffca70)
"command-execute" (0xffffcd28)
0x57ad99c0 PVEC_COMPILED
"ivy-call" (0xffffd2e8)
"ivy-read" (0xffffd870)
"counsel-M-x" (0xffffdd10)
"funcall-interactively" (0xffffdd08)
"call-interactively" (0xffffde50)
"command-execute" (0xffffe0f8)
(gdb)=20

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 16 Jan 2019 11:14:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 06:14:19 2019
Received: from localhost ([127.0.0.1]:60787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjj9H-0002RF-Jc
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 06:14:19 -0500
Received: from mail-wr1-f48.google.com ([209.85.221.48]:41294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gjj9F-0002R1-Pf
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 06:14:18 -0500
Received: by mail-wr1-f48.google.com with SMTP id x10so6425201wrs.8
 for <34094 <at> debbugs.gnu.org>; Wed, 16 Jan 2019 03:14:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=Y/BfUL/sJ5dJ6yRoENQzPDHTqB1Q2QsI0sG7DdcKTrw=;
 b=Z390rzADlvir3PEM/SD1OzWvNm4AsxQtChgfEo3Pz1HVxmLB37FcpiVoRN4Tl8RWbL
 wq7ovyygTGhWQ4jaMo9AdmErPGLMSM6qlEJAqM6rfQB30wajaR/WS3TJlmXePiSNLpIx
 rtFpgYlVq6WzEuV/cSfEVUOYKrOIb3E809g451izKJ+GgAevt+YI1MMTE74lIqg+zVV5
 dcixpAO2YJ6X/0B7156JF42efLZ2yFWFH14JCV7ee++BBRT2MmZ8NFhIC/e2xR+vBwTJ
 6UcNGpeP5HE5rROodWY1xsmEw5IZfUjuHRRxf0+rf0PeGJ9XMLT8ZINgqkNx7VzTJZt2
 EFUg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=Y/BfUL/sJ5dJ6yRoENQzPDHTqB1Q2QsI0sG7DdcKTrw=;
 b=Z36fzeQmW5zvp6p0/myOfeSJ98VQjYdL1mtlwfncPHlpV2S5VwT0a3s/O++wcEIUJx
 4UG4Gs8XXaCkrDAucxA7i/CjO+pJYYU2KZMU01ws2T7eSigaF5mzHc+kx0Rix20/46Yc
 fsEwtZIB8nAy05dwf3yirXrHRV1NVKdG+cSp0gVY3aJXC6TggGgpMozrg96PiCSwGdUn
 24Y2IeUMMPVR61tfZNMJneJGUPTzn29cOo7UMWGu/LK2vjxvog0DwEEPdic9P/LnFO9L
 jw3l6Pk3R1dMy6v4s0PTaIF2H4lLJyJLWuW+MEjtGTyasTquK2VEwARCvs6ha+oSKPEY
 6eXw==
X-Gm-Message-State: AJcUukcm+WM+2CxlsonUZgZQKeqa5pfQUbMkKe0VzM0TupvwRQAuSXzy
 +mKXV3ucDHbDDKXNO4klABbxa7mkQpc=
X-Google-Smtp-Source: ALg8bN7jCykVOZbFc0p8KHXz7wH6BWFHV/AqJYihAkQXbP4BB4HIaYm+Z6xj/IEqiAdwnXUNjCvtdw==
X-Received: by 2002:adf:d4c9:: with SMTP id w9mr7110126wrk.119.1547637251357; 
 Wed, 16 Jan 2019 03:14:11 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id h17sm75909821wrt.59.2019.01.16.03.14.09
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 16 Jan 2019 03:14:10 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Wed, 16 Jan 2019 12:14:09 +0100
In-Reply-To: <87muo0evle.fsf@HIDDEN> (Tassilo Horn's message of "Wed, 16 Jan
 2019 11:38:05 +0100")
Message-ID: <m2va2oetxa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tassilo Horn <tsdh@HIDDEN> writes:

> Tassilo Horn <tsdh@HIDDEN> writes:
>
>> With the current master:
>>
>> emacs -Q
>>
>> M-x toggle-debug-on-error
>> C-h f package-reinstall
>>
>> You get this backtrace:
>>
>> Debugger entered--Lisp error: (wrong-type-argument stringp (require . el=
ec-pair))
>
> I found the problem: the new portable dumper needs emacs.pdmp in
> `data-directory'.  Unfortunately, when you run without "make install",
> data-directory is set to emacs/etc/ whereas the emacs.pdmp resides in
> emacs/src/.
>

That=CA=BCs surprising: I haven't done 'make install', but I can't
reproduce your error.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 16 Jan 2019 10:56:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 05:56:45 2019
Received: from localhost ([127.0.0.1]:60762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjisH-00020b-43
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:56:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1gjisF-00020O-Ma
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:56:44 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37501)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1gjis4-00028X-Li
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:56:34 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:58343)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>) id 1gjis3-00066V-HY
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:56:31 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id 8D46A27A6B
 for <34094 <at> debbugs.gnu.org>; Wed, 16 Jan 2019 05:56:30 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Wed, 16 Jan 2019 05:56:30 -0500
X-ME-Sender: <xms:3g0_XDVQtEYNkZEBJXA8oM6CCdsQ0uSHtpc9FY6Zs_Ko6i0_gyhEKA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrgeehgddvudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucenucfjughrpefhvffufhffjgfkfgggtgfgsehtqhertddtreejnecuhfhrohhmpe
 fvrghsshhilhhoucfjohhrnhcuoehtshguhhesghhnuhdrohhrgheqnecukfhppedvuddv
 rddukeehrddvtdefrddufeegnecurfgrrhgrmhepmhgrihhlfhhrohhmpehthhhorhhnod
 hmvghsmhhtphgruhhthhhpvghrshhonhgrlhhithihqdekieejfeekjeekgedqieefhedv
 leekqdhtshguhheppehgnhhurdhorhhgsehfrghsthhmrghilhdrfhhmnecuvehluhhsth
 gvrhfuihiivgeptd
X-ME-Proxy: <xmx:3g0_XLKubOZIYbFucrUcDt5QRLJ9Ti-X9GohKex_iipeWoQuAORWog>
 <xmx:3g0_XIzRnaXdT41O01yQsCh2_YA1xB4lLy3OxdFRrI0bx4N7YJOOIA>
 <xmx:3g0_XHJo6w8T2GHyl9NGxDOabeEGu7X8u2skA2vWqsxHj9ZoPFGBFg>
 <xmx:3g0_XMne7UPeCNcHeSjUyZFDrhdOImzPgJMr49GMMm19Iw9lCrQhWg>
Received: from pchta-and (portal.shd.de [212.185.203.134])
 by mail.messagingengine.com (Postfix) with ESMTPA id C66DB100BB
 for <34094 <at> debbugs.gnu.org>; Wed, 16 Jan 2019 05:56:29 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: 34094 <at> debbugs.gnu.org
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
 <87muo0evle.fsf@HIDDEN>
Date: Wed, 16 Jan 2019 11:56:15 +0100
In-Reply-To: <87muo0evle.fsf@HIDDEN> (Tassilo Horn's message of "Wed, 16 Jan
 2019 11:38:05 +0100")
Message-ID: <87sgxsub00.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tassilo Horn <tsdh@HIDDEN> writes:

>> With the current master:
>>
>> emacs -Q
>>
>> M-x toggle-debug-on-error
>> C-h f package-reinstall
>>
>> You get this backtrace:
>>
>> Debugger entered--Lisp error: (wrong-type-argument stringp (require . el=
ec-pair))
>
> I found the problem: the new portable dumper needs emacs.pdmp in
> `data-directory'.  Unfortunately, when you run without "make install",
> data-directory is set to emacs/etc/ whereas the emacs.pdmp resides in
> emacs/src/.

Ah, that's not entirely true.  It seems I have to start emacs from
within the directory where the emacs.pdmp file resides.

And then I'll get an

  Fatal error 11: Segmentation faultfish: =E2=80=9Cemacs=E2=80=9D terminate=
d by signal SIGSEGV (Address boundary error)

but that's another story.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.
Disconnected #34094 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 14120 34094. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 16 Jan 2019 10:38:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 05:38:16 2019
Received: from localhost ([127.0.0.1]:60718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjiaO-00080K-GX
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:38:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1gjiaL-0007zw-Az
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:38:15 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37443)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1gjiaG-0001vA-1k
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:38:08 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:36645)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>) id 1gjiaF-0004jT-Ib
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:38:07 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id D6B65255F3
 for <34094 <at> debbugs.gnu.org>; Wed, 16 Jan 2019 05:38:06 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Wed, 16 Jan 2019 05:38:06 -0500
X-ME-Sender: <xms:jgk_XKg421Y1_9PadVMp4w9W9XkZPJ8gIKJjBBWcBUEChj877Q7ahw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrgeehgddukecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucenucfjughrpefhvffufhffjgfkfgggtgesthdtredttdertdenucfhrhhomhepvf
 grshhsihhlohcujfhorhhnuceothhsughhsehgnhhurdhorhhgqeenucfkphepvdduvddr
 udekhedrvddtfedrudefgeenucfrrghrrghmpehmrghilhhfrhhomhepthhhohhrnhdomh
 gvshhmthhprghuthhhphgvrhhsohhnrghlihhthidqkeeijeefkeejkeegqdeifeehvdel
 kedqthhsughhpeepghhnuhdrohhrghesfhgrshhtmhgrihhlrdhfmhenucevlhhushhtvg
 hrufhiiigvpedt
X-ME-Proxy: <xmx:jgk_XErCsra1C8a2zHTN9lf9n7nDI_oRU78Ns2sBF9o0Ccpi0fxlyQ>
 <xmx:jgk_XCEttV4eVNIz6YtljxUtBfwFz0Adqvvniwzj0hBYXcNrq_jjlQ>
 <xmx:jgk_XGnlmYaR58_qvOMaOS6fXM1bdB5soM0sW3QgoseR1mKkkeHFfg>
 <xmx:jgk_XCsnYY3MKVZFS-K4mnpzbXGBLWxiYxAZiFkI5KMVd45nqTMxtQ>
Received: from pchta-and (portal.shd.de [212.185.203.134])
 by mail.messagingengine.com (Postfix) with ESMTPA id 02A64E465D
 for <34094 <at> debbugs.gnu.org>; Wed, 16 Jan 2019 05:38:05 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: 34094 <at> debbugs.gnu.org
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
Date: Wed, 16 Jan 2019 11:38:05 +0100
In-Reply-To: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN> (Tassilo
 Horn's message of "Wed, 16 Jan 2019 08:42:20 +0100")
Message-ID: <87muo0evle.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tassilo Horn <tsdh@HIDDEN> writes:

> With the current master:
>
> emacs -Q
>
> M-x toggle-debug-on-error
> C-h f package-reinstall
>
> You get this backtrace:
>
> Debugger entered--Lisp error: (wrong-type-argument stringp (require . elec-pair))

I found the problem: the new portable dumper needs emacs.pdmp in
`data-directory'.  Unfortunately, when you run without "make install",
data-directory is set to emacs/etc/ whereas the emacs.pdmp resides in
emacs/src/.

For the time being, I've created a symlink emacs/etc/emacs.pdmp ->
emacs/src/emacs.pdmp.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at 34094 <at> debbugs.gnu.org:


Received: (at 34094) by debbugs.gnu.org; 16 Jan 2019 10:36:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 05:36:35 2019
Received: from localhost ([127.0.0.1]:60707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjiYk-0007wa-QZ
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:36:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gjiYj-0007wN-6b
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:36:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37430)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gjiYd-0006UV-Cm
 for 34094 <at> debbugs.gnu.org; Wed, 16 Jan 2019 05:36:27 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1gjiYb-0002PH-Md; Wed, 16 Jan 2019 05:36:25 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>
Subject: Re: bug#34094: 27.0.50;
 (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
References: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
X-Spook: Bletchley Park War on Terrorism IMF Tremor explosion
X-Ran: XEn=0:Ful^wPBe%nw0(Qw%!o&XU{sfbp?BIQ.z8A6I/vBI":Y*N:9x^Jw4g8(J2._{;A@`
X-Hue: yellow
X-Attribution: GM
Date: Wed, 16 Jan 2019 05:36:24 -0500
In-Reply-To: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN> (Tassilo
 Horn's message of "Wed, 16 Jan 2019 08:42:20 +0100")
Message-ID: <jg7ef4ga8n.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34094
Cc: 34094 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tassilo Horn wrote:

> Debugger entered--Lisp error: (wrong-type-argument stringp (require . elec-pair))

I think this was predicted years ago in https://debbugs.gnu.org/14120 .





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jan 2019 07:42:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 02:42:43 2019
Received: from localhost ([127.0.0.1]:60587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjfqU-0003iG-Nd
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 02:42:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33861)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1gjfqS-0003i2-9B
 for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 02:42:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:56067)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tsdh@HIDDEN>) id 1gjfqL-0001tT-Ha
 for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 02:42:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44020)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tsdh@HIDDEN>) id 1gjfqJ-00073X-MR
 for bug-gnu-emacs@HIDDEN; Wed, 16 Jan 2019 02:42:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36604)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1gjfqI-0001nN-03
 for bug-gnu-emacs@HIDDEN; Wed, 16 Jan 2019 02:42:30 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:56841)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <tsdh@HIDDEN>) id 1gjfqF-0006nl-Tu
 for bug-gnu-emacs@HIDDEN; Wed, 16 Jan 2019 02:42:29 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailauth.nyi.internal (Postfix) with ESMTP id 6A1A228226
 for <bug-gnu-emacs@HIDDEN>; Wed, 16 Jan 2019 02:42:24 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Wed, 16 Jan 2019 02:42:25 -0500
X-ME-Sender: <xms:YOA-XOURpDx7k51p2F0jk30OJbxL0ZMh7NyUZJtilJRFqXhJBS18UQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrgeeggdeghecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucenucfjughrpefkuffhvffftggfggfgsehtqhertddtreejnecuhfhrohhmpefvrg
 hsshhilhhoucfjohhrnhcuoehtshguhhesghhnuhdrohhrgheqnecuffhomhgrihhnpegv
 lhdrshhopdhgnhhurdhorhhgnecukfhppedvuddvrddukeehrddvtdefrddufeegnecurf
 grrhgrmhepmhgrihhlfhhrohhmpehthhhorhhnodhmvghsmhhtphgruhhthhhpvghrshho
 nhgrlhhithihqdekieejfeekjeekgedqieefhedvleekqdhtshguhheppehgnhhurdhorh
 hgsehfrghsthhmrghilhdrfhhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:YOA-XBrzZg97BuFnfLf5YtWOlHsE6YjJlc7SceD1oHiKMPzl3Vo51A>
 <xmx:YOA-XKH_AL_-AUVl-lkq5s_ZviC40dMdWI5CwS5Is95zCEmg_BxmyQ>
 <xmx:YOA-XLsxkkmj8wbAi8Fapgwk-Y78guHfhCvEu0sO-e4Jk7XlCSMeSA>
 <xmx:YOA-XPudRPAQsOn61pYla8pEnMM79r65t5nW2vJVFqpz417AKiOHbQ>
Received: from pchta-and (portal.shd.de [212.185.203.134])
 by mail.messagingengine.com (Postfix) with ESMTPA id 855BFE4559
 for <bug-gnu-emacs@HIDDEN>; Wed, 16 Jan 2019 02:42:23 -0500 (EST)
Message-ID: <013c256592b481d95b789885b666b02d3b73f338.camel@HIDDEN>
Subject: 27.0.50; (wrong-type-argument stringp (require . elec-pair)) with
 describe-function (and other commands)
From: Tassilo Horn <tsdh@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Date: Wed, 16 Jan 2019 08:42:20 +0100
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.30.4 
Mime-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


With the current master:

emacs -Q

M-x toggle-debug-on-error
C-h f package-reinstall

You get this backtrace:

Debugger entered--Lisp error: (wrong-type-argument stringp (require . elec-=
pair))
  string-match("\\(\\`\\|/\\)package-x\\(\\.elc\\|\\.el\\|\\.so\\)?\\(\\.gz=
\\)?\\..." (require . elec-pair) nil)
  help--loaded-p("package-x")
  help--load-prefixes((("package-" "package-x" "package")))
  help--symbol-completion-table("package-reinstall" #f(compiled-function (f=
) #<bytecode 0x15794c0c23e9>) lambda)
  test-completion("package-reinstall" help--symbol-completion-table #f(comp=
iled-function (f) #<bytecode 0x15794c0c23e9>))
  completion--complete-and-exit(20 37 exit-minibuffer #f(compiled-function =
() #<bytecode 0x15794c022699>))
  completion-complete-and-exit(20 37 exit-minibuffer)
  minibuffer-complete-and-exit()
  funcall-interactively(minibuffer-complete-and-exit)
  call-interactively(minibuffer-complete-and-exit nil nil)
  command-execute(minibuffer-complete-and-exit)
  read-from-minibuffer("Describe function: " nil (keymap (10 . minibuffer-c=
omplete-and-exit) (13 . minibuffer-complete-and-exit) keymap (menu-bar keym=
ap (minibuf "Minibuf" keymap (tab menu-item "Complete" minibuffer-complete =
:help "Complete as far as possible") (space menu-item "Complete Word" minib=
uffer-complete-word :help "Complete at most one word") (63 menu-item "List =
Completions" minibuffer-completion-help :help "Display all possible complet=
ions") "Minibuf")) (27 keymap (118 . switch-to-completions)) (prior . switc=
h-to-completions) (63 . minibuffer-completion-help) (32 . minibuffer-comple=
te-word) (9 . minibuffer-complete) keymap (menu-bar keymap (minibuf "Minibu=
f" keymap (previous menu-item "Previous History Item" previous-history-elem=
ent :help "Put previous minibuffer history element in the min...") (next me=
nu-item "Next History Item" next-history-element :help "Put next minibuffer=
 history element in the minibuf...") (isearch-backward menu-item "Isearch H=
istory Backward" isearch-backward :help "Incrementally search minibuffer hi=
story backward") (isearch-forward menu-item "Isearch History Forward" isear=
ch-forward :help "Incrementally search minibuffer history forward") (return=
 menu-item "Enter" exit-minibuffer :key-sequence "\15" :help "Terminate inp=
ut and exit minibuffer") (quit menu-item "Quit" abort-recursive-edit :help =
"Abort input and exit minibuffer") "Minibuf")) (10 . exit-minibuffer) (13 .=
 exit-minibuffer) (7 . abort-recursive-edit) (C-tab . file-cache-minibuffer=
-complete) (9 . self-insert-command) (XF86Back . previous-history-element) =
(up . previous-line-or-history-element) (prior . previous-history-element) =
(XF86Forward . next-history-element) (down . next-line-or-history-element) =
(next . next-history-element) (27 keymap (114 . previous-matching-history-e=
lement) (115 . next-matching-history-element) (112 . previous-history-eleme=
nt) (110 . next-history-element))) nil nil nil nil)
  completing-read-default("Describe function: " help--symbol-completion-tab=
le #f(compiled-function (f) #<bytecode 0x15794c0c23e9>) t nil nil nil nil)
  completing-read("Describe function: " help--symbol-completion-table #f(co=
mpiled-function (f) #<bytecode 0x15794c0c23e9>) t nil nil nil)
  byte-code("\301 \302\30\303\1\203\20\0\304\305\3\"\202\21\0\306\307\310\3=
02\311\211\6\7\205\37\0\312\6\10!&\7\211\313\232\204,\0\314\1!\262\2\1\2035=
\0\19..." [enable-recursive-minibuffers function-called-at-point t completi=
ng-read format "Describe function (default %s): " "Describe function: " hel=
p--symbol-completion-table #f(compiled-function (f) #<bytecode 0x15794c0c23=
e9>) nil symbol-name "" intern user-error "You didn't specify a function sy=
mbol" fboundp function-documentation "Symbol's function definition is void:=
 %s"] 10)
  call-interactively(describe-function nil nil)
  command-execute(describe-function)

With my normal configured emacs, I get the same error for (require
. finder-inf) at different places.

I update my master checkout almost daily.  With the version from
yesterday (around 2019-01-15 07:00 CET) I didn't have these issues.


In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.3)
 of 2019-01-16 built on pchta-and
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: Arch Linux

Recent messages:
Continuing.
file-name-sans-extension: Wrong type argument: stringp, (require . finder-i=
nf)
Quit
Mark set
Quit
Contacting host: debbugs.gnu.org:443 [2 times]
Mark set
Mark saved where search started
Contacting host: debbugs.gnu.org:443 [6 times]
Opening nndoc server on /tmp/gnus-temp-group-azZTHY-ephemeral...done

Configured using:
 'configure --with-modules'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
CANNOT_DUMP LCMS2 GMP

Important settings:
  value of $LC_MONETARY: de_DE.UTF-8
  value of $LC_NUMERIC: de_DE.UTF-8
  value of $LC_TIME: de_DE.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Help

Minor modes in effect:
  rcirc-track-minor-mode: t
  intero-global-mode: t
  global-aggressive-indent-mode: t
  recentf-mode: t
  which-key-mode: t
  beacon-mode: t
  ivy-mode: t
  global-company-mode: t
  global-magit-file-mode: t
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  override-global-mode: t
  minibuffer-depth-indicate-mode: t
  electric-pair-mode: t
  global-subword-mode: t
  subword-mode: t
  save-place-mode: t
  savehist-mode: t
  show-paren-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow emacsbug sort gnus-cite mail-extr qp gnus-async gnus-bcklg
gnus-agent gnus-srvr gnus-score score-mode nnvirtual nntp gnus-ml
gnus-msg nndoc gnus-cache gnus-dup debbugs-gnu eieio-opt speedbar
sb-image ezimage dframe tar-mode autoload lisp-mnt mm-archive url-cache
pulse misearch multi-isearch debug backtrace cus-load gnutls
network-stream rcirc-color th-private rcirc ace-window avy find-dired
the-org-mode-expansions web-mode-expansions er-basic-expansions
expand-region-core expand-region-custom grep pp cl-print help-fns
radix-tree counsel xdg swiper company-oddmuse company-keywords
company-etags company-gtags company-dabbrev-code company-dabbrev
company-files company-capf company-cmake company-xcode company-clang
company-semantic company-eclim company-template company-bbdb
highlight-symbol org-rmail org-mhe org-irc org-info org-gnus nnir
org-docview doc-view jka-compr image-mode org-bibtex bibtex org-bbdb
org-w3m paredit bug-reference generic fish-mode cargo cargo-process
markdown-mode rust-mode intero flycheck hindent haskell-mode
haskell-cabal haskell-utils haskell-font-lock haskell-indentation
haskell-string haskell-sort-imports haskell-lexeme haskell-align-imports
haskell-compat haskell-complete-module haskell-ghc-support flymake-proc
flymake etags multifile xref project compile dabbrev haskell-customize
web-mode disp-table debbugs soap-client url-http url-auth url-gw nsm
warnings rng-xsd rng-dt rng-util xsd-regexp xml aggressive-indent vc-git
vc-dir ewoc vc vc-dispatcher epa-file org-element avl-tree generator org
org-macro org-footnote org-pcomplete org-list org-faces org-entities
org-version ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table
ob-keys ob-exp ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs find-func cal-menu calendar cal-loaddefs dired-x boxquote
rect smtpmail-multi smtpmail sendmail cl ecomplete yasnippet
auto-dictionary flyspell ispell tramp-sh tramp-cache tramp-rclone
recentf tree-widget which-key moody beacon highlight-parentheses smex
ido ivy delsel colir color ivy-overlay ffap thingatpt company-restclient
know-your-http-well http-status-codes http-relations http-methods
http-headers company pcase restclient noutline outline url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util magit-submodule magit-obsolete magit-blame magit-stash
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func imenu
magit-diff smerge-mode diff-mode magit-core magit-autorevert autorevert
filenotify magit-process magit-margin magit-mode git-commit magit-git
magit-section magit-utils magit-popup crm log-edit pcvs-util add-log
with-editor async-bytecomp async server use-package-bind-key bind-key
mb-depth rx bs windmove elec-pair cap-words superword subword saveplace
savehist paren smiley gnus-art mm-uu mml2015 mm-view mml-smime smime dig
mailcap gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range message
rmc puny dired dired-loaddefs rfc822 mml mml-sec epa derived epg
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader gnus-win gnus wid-edit nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums time-date mm-util mail-prsvr
mail-utils edmacro kmacro subr-x auto-package-update easy-mmode dash
cl-extra help-mode use-package-ensure use-package-core tramp
tramp-loaddefs trampver tramp-compat ucs-normalize shell pcomplete
comint ansi-color ring parse-time format-spec advice mule-util info
finder-inf package easymenu epg-config url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars seq byte-opt gv bytecomp byte-compile
cconv cl-loaddefs cl-lib tooltip cus-start eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 1246411 166211)
 (symbols 48 61130 10)
 (strings 32 278023 65519)
 (string-bytes 1 8499408)
 (vectors 16 111235)
 (vector-slots 8 2467707 127906)
 (floats 8 5936 1049)
 (intervals 56 44049 638)
 (buffers 992 51))
=20





Acknowledgement sent to Tassilo Horn <tsdh@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34094; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Jan 2019 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.